Bug 1214452 - CVE-2015-3151 abrt: directory traversals in several D-Bus methods implemented by abrt-dbus [fedora-all]
Summary: CVE-2015-3151 abrt: directory traversals in several D-Bus methods implemented...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 21
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro
Depends On: 1217479
Blocks: CVE-2015-3151 1218235
TreeView+ depends on / blocked
 
Reported: 2015-04-22 18:15 UTC by Florian Weimer
Modified: 2015-06-30 20:19 UTC (History)
8 users (show)

Fixed In Version: gnome-abrt-1.0.0-3.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
: 1218235 (view as bug list)
Environment:
Last Closed: 2015-06-21 00:33:14 UTC


Attachments (Terms of Use)

Description Florian Weimer 2015-04-22 18:15:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Florian Weimer 2015-04-22 18:15:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1214451,1214452

# Description of your update
notes=Security fix for CVE-2015-3151

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1214451,1214452

Comment 2 David A. Cafaro 2015-05-28 00:54:49 UTC
There are several possible patches listed in the upstream ticket https://bugzilla.redhat.com/show_bug.cgi?id=1214451 any word on getting this patched?

Comment 3 Jakub Filak 2015-05-28 05:00:44 UTC
These are the patches that need to be merged to the upstream master branch:

https://github.com/abrt/abrt/pull/952
https://github.com/abrt/libreport/pull/346

, but the pull requests are not yet ready because we have to fix this upstream issue:

https://github.com/abrt/libreport/issues/354

Without a fix for the issue above, only privileged users will be able to report crashes and IMHO that is unacceptable for Fedora users (non-privileged users will not be even able to submit the anonymous reports to http://retrace.fedoraproject.org/).

Comment 4 David A. Cafaro 2015-05-28 12:53:55 UTC
Thanks for the update, I did not catch the upstream discussion regarding file ownership for reports.  Hopefully option 2 or 3 will get accepted soon.

Comment 5 David A. Cafaro 2015-06-11 01:52:29 UTC
It looks like option 3 patches were committed to master upstream about a week ago, hopefully that helps the patching.

Comment 6 Jakub Filak 2015-06-11 08:33:03 UTC
Fixed in Rawhide, Fedora 22 releases in progress, back porting patches for Fedora 21 .

Comment 7 Fedora Update System 2015-06-11 10:15:49 UTC
gnome-abrt-1.2.0-1.fc22,abrt-2.6.0-1.fc22,libreport-2.6.0-1.fc22,satyr-0.18-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-abrt-1.2.0-1.fc22,abrt-2.6.0-1.fc22,libreport-2.6.0-1.fc22,satyr-0.18-1.fc22

Comment 8 Fedora Update System 2015-06-13 06:37:33 UTC
Package gnome-abrt-1.2.0-1.fc22, abrt-2.6.0-1.fc22, libreport-2.6.0-1.fc22, satyr-0.18-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-1.2.0-1.fc22 abrt-2.6.0-1.fc22 libreport-2.6.0-1.fc22 satyr-0.18-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9886/gnome-abrt-1.2.0-1.fc22,abrt-2.6.0-1.fc22,libreport-2.6.0-1.fc22,satyr-0.18-1.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-18 08:58:35 UTC
gnome-abrt-1.0.0-2.fc21,abrt-2.3.0-5.fc21,libreport-2.3.0-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-abrt-1.0.0-2.fc21,abrt-2.3.0-5.fc21,libreport-2.3.0-7.fc21

Comment 10 Fedora Update System 2015-06-21 00:33:14 UTC
gnome-abrt-1.2.0-1.fc22, abrt-2.6.0-1.fc22, libreport-2.6.0-1.fc22, satyr-0.18-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-30 20:19:56 UTC
gnome-abrt-1.0.0-3.fc21, abrt-2.3.0-7.fc21, libreport-2.3.0-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.